<form [formGroup]="addUserForm" class='form-container' (ngSubmit)="addUserSubmit(addUserForm)">
    <mat-form-field  appearance="fill">
        <input matInput formControlName="name" placeholder="Enter name" >
    </mat-form-field>

    <mat-form-field  appearance="fill">
        <input matInput  formControlName="email" placeholder="Enter email" >
    </mat-form-field>

    <mat-form-field  appearance="fill">
        <input matInput  formControlName='speciality' placeholder="Enter speciality" >
    </mat-form-field>

    <mat-form-field appearance="fill">
        <mat-select formControlName="nurses" value='nurses' placeholder="assign nurses" multiple>
            <mat-option *ngFor="let nurse of nurseArray" value="nurse.name">{{nurse.name}}</mat-option>
        </mat-select>
    </mat-form-field>

        <button mat-stroked-button mat-dialog-close type="submit">Add</button>
</form>
